> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Retrieve a debit memo item

GET https://rest.test.zuora.com/v1/debit-memos/{debitMemoKey}/items/{dmitemid}

**Note:** This operation is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information.

Retrieves information about a specific item of a debit memo. A debit memo item is a single line item in a debit memo.


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/billing-documents/debit-memos/get-debit-memo-item

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `dmitemid` (string, required) — The unique ID of a debit memo item. You can get the debit memo item ID from the response of [List debit memo items](https://developer.zuora.com/api-references/api/operation/GET_DebitMemoItems).
- `debitMemoKey` (string, required) — The unique ID or number of a debit memo. For example, 8a8082e65b27f6c3015ba419f3c2644e or DM00000001.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `amount` (double, optional) — The amount of the debit memo item. For tax-inclusive debit memo items, the amount indicates the debit memo item amount including tax. For tax-exclusive debit memo items, the amount indicates the debit memo item amount excluding tax.
- `amountWithoutTax` (double, optional) — The debit memo item amount excluding tax.
- `appliedToItemId` (string, optional) — The parent debit memo item that this debit memo items is applied to if this item is discount.
- `balance` (double, optional) — The balance of the debit memo item.
- `beAppliedAmount` (double, optional) — The applied amount of the debit memo item.
- `createdById` (string, optional) — The ID of the Zuora user who created the debit memo item.
- `createdDate` (string, optional) — The date and time when the debit memo item was created, in `yyyy-mm-dd hh:mm:ss` format. For example, 2017-03-01 15:31:10.
- `description` (string, optional) — Description about the debit memo item. **Note**: This field is available only if you are on the latest Zuora API minor version, or you set the `Zuora-Version` request header to `257.0` or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version).
- `excludeItemBillingFromRevenueAccounting` (boolean, optional) — The flag to exclude the debit memo item from revenue accounting. **Note**: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled.
- `financeInformation` (GetDebitMemoItemTypeFinanceInformation, optional) — Container for the finance information related to the debit memo item.
- `id` (string, optional) — The ID of the debit memo item.
- `processingType` (string, optional) — The kind of the charge for the debit memo item. Its possible values are `Charge` and `Discount`.
- `quantity` (double, optional) — The number of units for the debit memo item.
- `reflectDiscountInNetAmount` (boolean, optional, default: false) — When you apply percentage discounts to either of the following charges, you need to set the `reflectDiscountInNetAmount` field on your discount charge to `true`, to enable calculating and displaying the net amount of the following charges in Zuora Revenue. * delivery pricing charge * prepayment charge * drawdown charge Note the following: * If you are an Order to Revenue customer, when you set the `reflectDiscountInNetAmount` field to `true`, you must also set the `excludeItemBillingFromRevenueAccounting` field to `true`. * If you are a Billing - Revenue Integration customer, you must set the `reflectDiscountInNetAmount` field to `false`, otherwise an error will be returned. Billing - Revenue Integration does not support discounts on the preceding charges. * If you are a Zuora Billing customer who does not enable the Order to Revenue or Billing - Revenue Integration feature, when you apply percentage discounts to the preceding charges, you also need to set the `reflectDiscountInNetAmount` field to `true`.
- `serviceEndDate` (date, optional) — The end date of the service period associated with this debit memo item. Service ends one second before the date specified in this field.
- `serviceStartDate` (date, optional) — The start date of the service period associated with this debit memo item. If the associated charge is a one-time fee, this date is the date of that charge.
- `sku` (string, optional) — The SKU for the product associated with the debit memo item.
- `skuName` (string, optional) — The name of the SKU.
- `shipToContactId` (string, optional) — The ID of the ship-to contact associated with the invoice item. The value of this field is `null` if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled.
- `soldToContactId` (string, optional) — The ID of the sold-to contact associated with the invoice item. The value of this field is `null` if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled.
- `soldToContactSnapshotId` (string, optional) — The ID of the sold-to contact snapshot associated with the invoice item. The value of this field is `null` if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled.
- `sourceItemId` (string, optional) — The ID of the source item.
- `sourceItemType` (enum, optional) — The type of the source item.
  - Allowed values: `CreditMemoItem`, `SubscriptionComponent`, `InvoiceDetail`, `ProductRatePlanCharge`
- `subscriptionId` (string, optional) — The ID of the subscription associated with the debit memo item.
- `success` (boolean, optional) — Returns `true` if the request was processed successfully.
- `taxMode` (enum, optional) — The tax mode of the debit memo item, indicating whether the amount of the debit memo item includes tax.
  - Allowed values: `TaxExclusive`, `TaxInclusive`
- `taxationItems` (GetDebitMemoItemTypeTaxationItems, optional) — Container for the taxation items of the debit memo item. **Note**: This field is available only if you are on the latest Zuora API minor version, or you set the `Zuora-Version` request header to `239.0` or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version).
- `unitOfMeasure` (string, optional) — The units to measure usage.
- `unitPrice` (double, optional) — The per-unit price of the debit memo item.
- `updatedById` (string, optional) — The ID of the Zuora user who last updated the debit memo item.
- `updatedDate` (string, optional) — The date and time when the debit memo item was last updated, in `yyyy-mm-dd hh:mm:ss` format. For example, 2017-03-02 15:36:10.

## Errors

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 400 Client Request Error

Request Errors

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of CommonResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

## Types

### GetDebitMemoItemTypeFinanceInformation

Container for the finance information related to the debit memo item.

- `deferredRevenueAccountingCode` (string, optional) — The accounting code for the deferred revenue, such as Monthly Recurring Liability.
- `deferredRevenueAccountingCodeType` (string, optional) — The type of the deferred revenue accounting code, such as Deferred Revenue.
- `recognizedRevenueAccountingCode` (string, optional) — The accounting code for the recognized revenue, such as Monthly Recurring Charges or Overage Charges.
- `recognizedRevenueAccountingCodeType` (string, optional) — The type of the recognized revenue accounting code, such as Sales Revenue or Sales Discount.
- `revenueRecognitionRuleName` (string, optional) — The name of the revenue recognition rule governing the revenue schedule.
- `revenueScheduleNumber` (string, optional) — The revenue schedule number. The revenue schedule number is always prefixed with "RS", for example, RS-00000001.

### GetDebitMemoItemTypeTaxationItems

Container for the taxation items of the debit memo item. **Note**: This field is available only if you are on the latest Zuora API minor version, or you set the `Zuora-Version` request header to `239.0` or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version).

- `data` (list of GETDMTaxItemTypeNew, optional) — List of taxation items.
- `nextPage` (string, optional) — URL to retrieve the next page of the response if it exists; otherwise absent.

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CommonResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### GETDMTaxItemTypeNew

Container for custom fields of a Debit Taxation Item object.

- `balance` (double, optional) — The balance of the taxation item.
- `creditAmount` (double, optional) — The amount of credit memos applied to the debit memo.
- `exemptAmount` (double, optional) — The calculated tax amount excluded due to the exemption.
- `financeInformation` (GetdmTaxItemTypeNewFinanceInformation, optional) — Container for the finance information related to the taxation item.
- `id` (string, optional) — The ID of the taxation item.
- `jurisdiction` (string, optional) — The jurisdiction that applies the tax or VAT. This value is typically a state, province, county, or city.
- `locationCode` (string, optional) — The identifier for the location based on the value of the `taxCode` field.
- `name` (string, optional) — The name of the taxation item.
- `paymentAmount` (double, optional) — The amount of payments applied to the debit memo.
- `sourceTaxItemId` (string, optional) — The ID of the source taxation item.
- `taxAmount` (double, optional) — The amount of taxation.
- `taxCode` (string, optional) — The tax code identifies which tax rules and tax rates to apply to a specific debit memo.
- `taxCodeDescription` (string, optional) — The description of the tax code.
- `taxDate` (date, optional) — The date that the tax is applied to the debit memo, in `yyyy-mm-dd` format.
- `taxRate` (double, optional) — The tax rate applied to the debit memo.
- `taxRateDescription` (string, optional) — The description of the tax rate.
- `taxRateType` (enum, optional) — The type of the tax rate.
  - Allowed values: `Percentage`, `FlatFee`

### GetdmTaxItemTypeNewFinanceInformation

Container for the finance information related to the taxation item.

- `salesTaxPayableAccountingCode` (string, optional) — The accounting code for the sales taxes payable.
- `salesTaxPayableAccountingCodeType` (string, optional) — The type of the accounting code for the sales taxes payable.

## Examples

**Response**

```json
{
  "amount": 1,
  "amountWithoutTax": 1,
  "appliedToItemId": "402890555a7d4022015a2dadb3b700a6",
  "balance": 1,
  "beAppliedAmount": 0,
  "createdById": "402881e522cf4f9b0122cf5d82860002",
  "createdDate": "2017-03-01 17:01:00",
  "excludeItemBillingFromRevenueAccounting": true,
  "financeInformation": {
    "deferredRevenueAccountingCode": "Subscription Revenue",
    "deferredRevenueAccountingCodeType": "SalesRevenue",
    "recognizedRevenueAccountingCode": "Subscription Revenue",
    "recognizedRevenueAccountingCodeType": "SalesRevenue"
  },
  "id": "402890555a87d7f5015a8919e500002f",
  "processingType": "Charge",
  "quantity": 1,
  "serviceEndDate": "2017-03-26",
  "serviceStartDate": "2017-02-27",
  "sku": "SKU-00000002",
  "skuName": "ZTax Component",
  "soldToContactId": "402881e522cf4f9b0122cf5d82860003",
  "soldToContactSnapshotId": "402881e522cf4f9b0122cf5d82860004",
  "sourceItemId": "402890555a7d4022015a7dadb3b700a6",
  "sourceItemType": "InvoiceDetail",
  "subscriptionId": null,
  "success": true,
  "taxMode": "TaxExclusive",
  "taxationItems": {
    "data": [
      {
        "balance": 5,
        "creditAmount": 0,
        "exemptAmount": 0,
        "financeInformation": {
          "salesTaxPayableAccountingCode": "Check",
          "salesTaxPayableAccountingCodeType": "Cash"
        },
        "id": "402890555a87d7f5015a8919e8450031",
        "jurisdiction": "USA",
        "locationCode": "",
        "name": "my tax",
        "paymentAmount": 0,
        "sourceTaxItemId": "402890555a7d4022015a7dadb39b00a1",
        "taxAmount": 5,
        "taxCode": "ZtaxCode",
        "taxCodeDescription": "",
        "taxDate": "2017-02-27",
        "taxRate": 5,
        "taxRateDescription": "desc3",
        "taxRateType": "FlatFee"
      }
    ]
  },
  "unitOfMeasure": "Each",
  "unitPrice": 1,
  "updatedById": "402881e522cf4f9b0122cf5d82860002",
  "updatedDate": "2017-03-01 17:01:00",
  "comment": "aa"
}
```

**SDK Code**

```python response
import requests

url = "https://rest.test.zuora.com/v1/debit-memos/debitMemoKey/items/dmitemid"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://rest.test.zuora.com/v1/debit-memos/debitMemoKey/items/dmitemid';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/debit-memos/debitMemoKey/items/dmitemid"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/debit-memos/debitMemoKey/items/dmitemid")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/v1/debit-memos/debitMemoKey/items/dmitemid")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/v1/debit-memos/debitMemoKey/items/dmitemid', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/debit-memos/debitMemoKey/items/dmitemid");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/debit-memos/debitMemoKey/items/dmitemid")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```